/*メインクラスに対する指定*/
.ic-card_link-page{
    text-align: center;

    word-break: keep-all;

}

.wrapper{
    max-width: 1120px;
    margin: auto;
    padding: 0 1.5rem;
}

/*見出し*/
h1 .heading{
    background: #0bd;
    color: #fff;
    display: inline-block;
    padding: 6rem 3rem;
    border-radius: 50%;

    word-break: keep-all;
}


.choose-area{
    border-style: solid;
    border-color: black;

    background-color:white;

    text-align: center;

    justify-content: center;
    align-items: center;

    padding: 10px;
}

/*地方の選択*/
     .container-choose-area
        {
            background-color:  ivory;
            border-style:solid;

            display: grid;

            grid-template-columns: repeat(2,1fr);

            text-align: center;

            align-items: center;
            justify-content: center;

            margin: 10px;

        }

    
    /*デスクトップ版*/
        @media(min-width:600px){
    .container-choose-area
     {
    background-color:  ivory;
    border-style:solid;

    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 10px;

    text-align: center;

    align-items: center;
    justify-content: center;

    margin: 10px;
    padding: 10px;
}}

/*上側のコンテナ・見出し*/


.item-area-hzenkoku,.item-area-hhokkaido,.item-area-htohoku,.item-area-hkanto,.item-area-hcyubu,
.item-area-hkinki,.item-area-hcyugoku,.item-area-hshikoku,.item-area-hkyusyu{
    border-width: thick;
    border-style:solid;
    border-color: gray;

    align-content: center;
    justify-content: center;

    font-size: small;

    margin: 10px;
    padding: 10px;
}


@media(min-width:600px){
.item-area-hzenkoku,.item-area-hhokkaido,.item-area-htohoku,.item-area-hkanto,.item-area-hcyubu,
.item-area-hkinki,.item-area-hcyugoku,.item-area-hshikoku,.item-area-hkyusyu{
    border-width: thick;
    border-style:solid;
    border-color: gray;

    align-content: center;
    justify-content: center;

    margin: 10px;
    padding: 10px;
}
}

.item-area-hzenkoku a,.item-area-hhokkaido a,.item-area-htohoku a,.item-area-hkanto a,.item-area-hcyubu a,
.item-area-hkinki a,.item-area-hcyugoku a,.item-area-hshikoku a,.item-area-hkyusyu a{
    color: white;
}

/*カード種類選択*/
        .container-choose-card{
            background-color:  ivory;
            border-style:solid;

            display: block;

            align-content: center;
            justify-content: center;

            margin: 10px;
        }


    @media(min-width:400px){
            .container-choose-card{
            background-color:  ivory;
            border-style:solid;

            display: grid;
            grid-template-columns: repeat(2,1fr);
            gap: 10px;

            align-content: center;
            justify-content: center;

            margin: 10px;
        }}

    @media(min-width:600px){
    .container-choose-card
     {
    background-color:  ivory;
    border-style:solid;

    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 10px;

    align-items: center;
    justify-content: center;

    margin: 10px;
}}


.item-area-czenkoku,.item-area-czenkoku-b,.item-area-chokkaido,.item-area-ctohoku,.item-area-ckanto,.item-area-ccyubu,
.item-area-ckinki,.item-area-ccyugoku,.item-area-cshikoku,.item-area-ckyusyu{
    border-width: thick;
    border-style:solid;
    border-color: gray;

    align-content: center;
    justify-content: center;

    font-size: small;

    margin: 10px;
    padding: 10px;
}

.item-area-czenkoku a,.item-area-chokkaido a,.item-area-ctohoku a,.item-area-ckanto a,.item-area-ccyubu a,
.item-area-ckinki a,.item-area-ccyugoku a,.item-area-cshikoku a,.item-area-ckyusyu a{
    color: white;
}

.item-area-czenkoku-b a{
    color:black
}

/*背景色*/

.item-area-hzenkoku,#Zenkoku{
    background: black;
    color: #fff;
}

.item-area-hhokkaido,#hokkaido,.item-area-chokkaido,.citytitle-hokkaido{
    background: yellowgreen;
    color: #fff;
}

.item-area-htohoku,.item-area-ctohoku,#tohoku,.citytitle-tohoku{
    background: blue;
    color: #fff;
}

.item-area-hkanto,.item-area-ckanto,#kanto,.citytitle-kanto{
    background: green;
    color: #fff;
}

.item-area-hcyubu,.item-area-ccyubu,#cyubu,.citytitle-cyubu{
    background: orange;
    color: #fff;
}

.item-area-hkinki,.item-area-ckinki,#kinki,.citytitle-kinki{
    background: brown;
    color: #fff;
}

.item-area-hcyugoku,.item-area-ccyugoku,#cyugoku,.citytitle-cyugoku{
    background: navy;
    color: #fff;
}

.item-area-hshikoku,.item-area-cshikoku,#shikoku,.citytitle-shikoku{
    background: skyblue;
    color: #fff;
}

.item-area-hkyusyu,.item-area-ckyusyu,#kyusyu,.citytitle-kyusyu{
    background-color: #E40112;
    color: #fff;
}



#other_IC-card{
background:yellowgreen;
color: #fff;
}




#container-other_IC-card{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    border-style: solid;
    border-color: black;
    border-width: thick;
}

/*コンテンツ*/

.grid{

    display: block;

    }

    @media(min-width:600px){
        
     .grid
        {
                display: grid;
                gap:1.5rem 1.5rem;
            grid-template-columns:
         
            repeat(2,1fr);

            justify-content: center;
        }
    }

/*見出し3*/
 @media(max-width:400px){
    h3{
        font-size: small;
    }
 }

/*画像表示エリア*/
.item-zenkoku-ic,.item-hokkaido-ic,.item-tohoku-ic,.item-kanto-ic,.item-cyubu-ic,
.item-kinki-ic,.item-cyugoku-ic,.item-shikoku-ic,.item-kyusyu-ic
{

    margin-top: 5px;
    padding: 5px;

    text-align: center;

    justify-items: center;
    align-content: center;

    border-style: solid;
    border-width: thick;
    border-color: black;
    background: white;
}

/*画像の調整*/
    /*全国*/
.Kitaca-card,.Suica-card,.TOICA-card,.ICOCA-card,.SUGOCA-card,.PASMO-card,
.manaca-card,.PiTaPa-card,.nimoca-card,.hayakaken-card
{
    width: 226px;
    height: 142px;
}

/*北海道*/
.Asaca-card,.DoCARD-card,.SAPICA-card{
    width: 226px;
    height: 142px;
}

/*東北*/
.AOPASS-card,.TowadaSkyBluePass-card,.hachica-card,.MegoICa-card,
.iGUCA-card,.IwateGreenPass-card,.AkiCA-card,.ShuhokuOrangePass-card,
.icsca-card,.yamako-cherica-card,.shoko-cherica-card,.NORUCA-card,.AIZU-NORUCA-card,
.LOCOCA-card{
    width: 226px;
    height: 142px;
}

/*関東*/
.totra-card,.nolbè-card,.KURURU-card{
    width: 226px;
    height: 142px;
}


/*中部*/
.ryuto-card,.ecomyca-card,.LuLuCa-card,.emica-card{
    width: 226px;
    height: 142px;
}

/*近畿*/
.randencard-card,.Tsukica-card,.hanica-card,.CI-CA-card,.kinoca-card,
.itappy-card,.NicoPa-card{
    width: 226px;
    height: 142px;
}

/*中国*/
.Hareca-card,.MOBIRY-DAYS-card{
    width: 226px;
    height: 142px;   
}


/*四国*/
.IruCa-card{
    width: 226px;
    height: 142px;
}

/*九州*/
.ntasu-card,.kumamon-iccard,.Rapica-card,.Iwasaki-IC-CARD-card{
    width: 226px;
    height: 142px;
}

/*矢印*/
.ic-card-arrow{
    display: flex;
    justify-content: center;
}
.ic-card-arrow-item{
    background: navy;
    margin: 10px;
    font-size: large;
}

.ic-card-arrow-item a{
    color: white;
}

